/** remove extra space between table toolbar and tabole top pagination */
.bootstrap-table .fixed-table-toolbar .bs-bars,
.bootstrap-table .fixed-table-toolbar .columns,
.bootstrap-table .fixed-table-toolbar .search {
    margin-bottom: unset;
}

.bootstrap-table .fixed-table-pagination>.pagination,
.bootstrap-table .fixed-table-pagination>.pagination-detail {
    margin-top: unset;
}

/* fixes space to pagination when no buttom on the left*/
.bootstrap-table .fixed-table-toolbar .bs-bars:empty{
    margin-bottom: 2.75rem;
}

/** end remove extra space between table toolbar and tabole top pagination */

.gn-table.table-bordered {
    table-layout: fixed;
}

.gn-table.table-bordered,
.gn-table.table-bordered th {
    /* border: 0; */
}

.gn-table.table-bordered,
.gn-table.table-bordered th,
.gn-table.table-bordered td {
    color: var(--text-default-grey);
    /* border: 0; */
}

.gn-table.table-bordered th,
.gn-table.table-bordered td {
    /* font-size: 0.75rem; */
    /* line-height: 1.7; */
}

.gn-table.table-bordered thead {
    background-color: var(--background-contrast-info);
    border-bottom: 1px solid var(--border-default-grey);
}

.gn-table.bootstrap-table .fixed-table-container .table.table-sm .th-inner {
    /* padding: 1rem 0 0.35rem 0.5rem; */
}

.gn-table.table-bordered tr {
    border-bottom: 1px solid var(--border-default-grey);
}

.gn-table.table-bordered td {
    /* padding: 0.63rem 1.5rem 0.63rem 0.5rem; */
}

.gn-table.table-bordered td.has-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.gn-table td:not(.has-ellipsis) {
    overflow:initial;
    overflow-wrap: break-word;
}

.gn-table.gn-table--with-col-actions tbody tr:not(.no-records-found) td:last-of-type {
    padding-right: .5rem;
    background-color: var(--background-contrast-info) !important;
}

.gn-table .fr-btn--sm[class^=fr-icon-]:not([class*=fr-btn--icon-]),
.gn-table .fr-btn--sm[class*=" fr-icon-"]:not([class*=fr-btn--icon-]),
.gn-table .fr-btn--sm[class^=fr-fi-]:not([class*=fr-btn--icon-]),
.gn-table .fr-btn--sm[class*=" fr-fi-"]:not([class*=fr-btn--icon-]),
.gn-table .fr-btn--sm[class*=" gn-icon-copy-file-line"] {
    flex-shrink: 0;
    max-width: 1.5rem;
    max-height: 1.5rem;
    min-height: 0;
    padding: 4px;
    border-radius: 50%;
}

.gn-table .fr-btn--sm[class^=fr-icon-]:not([class*=fr-btn--icon-])::before,
.gn-table .fr-btn--sm[class*=" fr-icon-"]:not([class*=fr-btn--icon-])::before,
.gn-table .fr-btn--sm[class^=fr-fi-]:not([class*=fr-btn--icon-])::before,
.gn-table .fr-btn--sm[class*=" fr-fi-"]:not([class*=fr-btn--icon-])::before {
    vertical-align: baseline;
}

.gn-table .fr-btn--tertiary-no-outline {
    background-color: var(--grey-1000-50);
    --hover-tint: var(--grey-1000-50-hover);
    --active-tint: var(--grey-1000-50-active);
}
.gn-table .fr-btn--tertiary-no-outline:hover {
  color: var(--text-action-high-blue-france);
}
.gn-table .gn-actions {
    display: flex;
    gap: 0.25rem;
    justify-content: center;
}

.gn-table .gn-actions--btn-blue {
    background-color: var(--info-425-625);
    color: var(--grey-1000-50);
    --hover-tint: var(--info-425-625-hover);
    --active-tint: var(--info-425-625-active);

}

.gn-table .gn-actions--btn-green {
    background-color: var(--success-425-625);
    color: var(--grey-1000-50);
    --hover-tint: var(--success-425-625-hover);
    --active-tint: var(--success-425-625-active);
}

.gn-table .gn-actions--btn-yellow {
    background-color: var(--background-action-low-yellow-tournesol);
    color: var(--grey-50-1000);
    --hover-tint: var(--background-action-low-yellow-tournesol-hover);
    --active-tint: var(--background-action-low-yellow-tournesol-active);
}

.gn-table .gn-actions--btn-red {
    background-color: var(--error-425-625);
    color: var(--grey-1000-50);
    --hover-tint: var(--error-425-625-hover);
    --active-tint: var(--error-425-625-active);
}

/** Custom GN icons using remixicon svg mask */
.fr-icon-gn--shut-down-line:after, .fr-icon-gn--shut-down-line:before {
    --mask-image: url(/assets/remixicon/icons/Device/shut-down-line.svg);
    -webkit-mask-image: var(--mask-image);
    mask-image: var(--mask-image);
}

.fr-icon-gn--play-line:after, .fr-icon-gn--play-line:before {
    --mask-image: url(/assets/remixicon/icons/Media/play-line.svg);
    -webkit-mask-image: var(--mask-image);
    mask-image: var(--mask-image);
}

.fr-icon-gn--pause-line:after, .fr-icon-gn--pause-line:before {
    --mask-image: url(/assets/remixicon/icons/Media/pause-line.svg);
    -webkit-mask-image: var(--mask-image);
    mask-image: var(--mask-image);
}

/** Used in modals to confirm actions on multiple users - users-by-application.html.twig and selected-users-action.html.twig */
.selectedLoginsGrid {
    --min-col-size: 40ch;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(min(var(--min-col-size), 100%), 1fr));
    grid-auto-flow: dense;
    gap: 0 1rem;
    list-style: none;
    margin: 0;
    padding-left: 0;
}

.selectedLoginItem {
    padding-inline-start: 1rem;
    padding-block: 0.5rem;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
/** End used in modals to confirm actions on multiple users - users-by-application.html.twig and selected-users-action.html.twig */
